$(document).ready(function () {
    "use strict";
    
    var
        $categoriesWrap = $('.b-filters');

    // Отображение категорий-подкатеорий:
    $categoriesWrap.on('change', 'select.data-category, select.data-subcategory', function(){

        var
            $this = $(this);

        if ($this.hasClass('data-category')) {
            var
                catId = $this.val(),
                $subcatWrap = $('.b-offers-list_controls-subcategory', $this.parent()),
                $subcategory = $('.data-subcategory', $this.parent()),
                $options = $('option', $subcategory);

            // Показываем выбор подкатегрий:
            (catId) ? $subcatWrap.show() : $subcatWrap.hide();
            // Устанавливаем набор подкатегрий:
            $options.addClass('hidden').prop('selected', false).filter('[data-parent="'+ catId +'"]').removeClass('hidden');
            $options.filter('[value=""]').removeClass('hidden');
        }
        
    });
    
});